LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
ARGBColor Struct Reference

ARGB color quad. More...

`import"ARGBColor.idl";`

## Public Attributes
ColorComponent | Alpha
| Alpha component. More...
ColorComponent | Red
| Red component. Valid range is [0,1.0]. More...
ColorComponent | Green
| Green component. Valid range is [0,1.0]. More...
ColorComponent | Blue
| Blue component. Valid range is [0,1.0]. More...

## Detailed Description

ARGB color quad.

## Member Data Documentation

ColorComponent Alpha

Alpha component.

Valid range is [0,1.0], with 0.0 denoting fully transparent, and 1.0 fully opaque.

ColorComponent Blue

Blue component. Valid range is [0,1.0].

ColorComponent Green

Green component. Valid range is [0,1.0].

ColorComponent Red

Red component. Valid range is [0,1.0].

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/ARGBColor.idl